From 05d3254fd3ed24a85d79b6749fcfc45e6327bc23 Mon Sep 17 00:00:00 2001
From: Khem Raj <raj.khem@gmail.com>
Date: Wed, 4 Dec 2019 19:06:54 -0800
Subject: [PATCH] Delete compiler options not available in release versions of
 clang _yet_

Upstream-Status: Inappropriate [ clang/master already supports them ]
Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
 build/config/compiler/BUILD.gn | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/build/config/compiler/BUILD.gn b/build/config/compiler/BUILD.gn
index 8b0b0fd469748..f6f44d974edd7 100644
--- a/build/config/compiler/BUILD.gn
+++ b/build/config/compiler/BUILD.gn
@@ -1563,6 +1563,11 @@ config("default_warnings") {
         cflags += [
           "-Wenum-compare-conditional",

+          # Disable unknown warnings, since system clang may not have
+          # backported newer warning yet unlike internal clang that
+          # chromium uses.
+          "-Wno-unknown-warning-option",
+
           # An ABI compat warning we don't care about, https://crbug.com/1102157
           # TODO(thakis): Push this to the (few) targets that need it,
           # instead of having a global flag.
